Bug 432647 - luseradd, lusermod ignore some command-line arguments
luseradd, lusermod ignore some command-line arguments
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libuser (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks: 646393
  Show dependency treegraph
 
Reported: 2008-02-13 11:24 EST by Miloslav Trmač
Modified: 2010-10-25 05:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0682
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 646393 (view as bug list)
Environment:
Last Closed: 2008-07-24 15:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch fixing luseradd, from libuser-0.53.2. (1.19 KB, patch)
2008-02-13 11:26 EST, Miloslav Trmač
no flags Details | Diff
A patch fixing lusermod, from libuser-0.53.2. (3.33 KB, patch)
2008-02-13 11:26 EST, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2008-02-13 11:24:47 EST
Description of problem:
* luseradd completely ignores the -p and -P arguments
* lusermod ignores changes performed by other arguments if
  any of -p, -P, -L, -U is used.

Version-Release number of selected component (if applicable):
libuser-0.52.5-1.el4.2

Additional info:
Note that the utilities in RHEL4 have quite a few other bugs - this are only the
bugs that Tomas Mraz has run into.
Comment 1 Miloslav Trmač 2008-02-13 11:26:10 EST
Created attachment 294800 [details]
A patch fixing luseradd, from libuser-0.53.2.
Comment 2 Miloslav Trmač 2008-02-13 11:26:31 EST
Created attachment 294801 [details]
A patch fixing lusermod, from libuser-0.53.2.
Comment 3 RHEL Product and Program Management 2008-02-13 11:38:14 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2008-07-24 15:35:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0682.html

Note You need to log in before you can comment on or make changes to this bug.